X11-1.6.1.2: A binding to the X11 graphics library

Copyright | (c) Alastair Reid, 1999-2003
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.X11.Xlib.Types

Description

A collection of type declarations for interfacing with Xlib.

Synopsis

- newtype Display = Display (Ptr Display)
- newtype Screen = Screen (Ptr Screen)
- newtype Visual = Visual (Ptr Visual)
- newtype GC = GC (Ptr GC)
- data GCValues
- data SetWindowAttributes
- data VisualInfo = VisualInfo {
  - visualInfo_visual :: Visual
  - visualInfo_visualID :: VisualID
  - visualInfo_screen :: ScreenNumber
  - visualInfo_depth :: CInt
  - visualInfo_class :: CInt
  - visualInfo_redMask :: CULong
  - visualInfo_greenMask :: CULong
  - visualInfo_blueMask :: CULong
  - visualInfo_colormapSize :: CInt
  - visualInfo_bitsPerRGB :: CInt
  }
- newtype Image = Image (Ptr Image)
- data Point = Point {
  - pt_x :: !Position
  - pt_y :: !Position
  }
- data Rectangle = Rectangle {
  - rect_x :: !Position
  - rect_y :: !Position
  - rect_width :: !Dimension
  - rect_height :: !Dimension
  }
- data Arc = Arc {
  - arc_x :: Position
  - arc_y :: Position
  - arc_width :: Dimension
  - arc_height :: Dimension
  - arc_angle1 :: Angle
  - arc_angle2 :: Angle
  }
- data Segment = Segment {
  - seg_x1 :: Position
  - seg_y1 :: Position
  - seg_x2 :: Position
  - seg_y2 :: Position
  }
- data Color = Color {
  - color_pixel :: Pixel
  - color_red :: Word16
  - color_green :: Word16
  - color_blue :: Word16
  - color_flags :: Word8
  }
- type Pixel = Word64
- type Position = Int32
- type Dimension = Word32
- type Angle = CInt
- type ScreenNumber = Word32
- type Buffer = CInt

# Documentation

newtype Display Source

pointer to an X11 `Display` structure

Constructors

Display (Ptr Display) |

Instances

Eq Display Source |
Data Display Source |
Ord Display Source |
Show Display Source |

newtype Screen Source

pointer to an X11 `Screen` structure

Constructors

Screen (Ptr Screen) |

Instances

Eq Screen Source |
Data Screen Source |
Ord Screen Source |
Show Screen Source |

newtype Visual Source

pointer to an X11 `Visual` structure

Constructors

Visual (Ptr Visual) |

Instances

Eq Visual Source |
Data Visual Source |
Ord Visual Source |
Show Visual Source |

newtype GC Source

pointer to an X11 `GC` structure

Constructors

GC (Ptr GC) |

Instances

Eq GC Source |
Data GC Source |
Ord GC Source |
Show GC Source |

data GCValues Source

pointer to an X11 `XGCValues` structure

Instances

Eq GCValues Source |
Data GCValues Source |
Ord GCValues Source |
Show GCValues Source |

data SetWindowAttributes Source

pointer to an X11 `XSetWindowAttributes` structure

Instances

Eq SetWindowAttributes Source |
Data SetWindowAttributes Source |
Ord SetWindowAttributes Source |
Show SetWindowAttributes Source |

data VisualInfo Source

counterpart of an X11 `XVisualInfo` structure

Constructors

VisualInfo |

Fields

visualInfo_visual :: Visual
visualInfo_visualID :: VisualID
visualInfo_screen :: ScreenNumber
visualInfo_depth :: CInt
visualInfo_class :: CInt
visualInfo_redMask :: CULong
visualInfo_greenMask :: CULong
visualInfo_blueMask :: CULong
visualInfo_colormapSize :: CInt
visualInfo_bitsPerRGB :: CInt

Instances

Eq VisualInfo Source |
Show VisualInfo Source |
Storable VisualInfo Source |

newtype Image Source

pointer to an X11 `XImage` structure

Constructors

Image (Ptr Image) |

Instances

Eq Image Source |
Data Image Source |
Ord Image Source |
Show Image Source |

data Point Source

counterpart of an X11 `XPoint` structure

Constructors

Point |

Fields

pt_x :: !Position
pt_y :: !Position

Instances

Eq Point Source |
Data Point Source |
Show Point Source |
Storable Point Source |

data Rectangle Source

counterpart of an X11 `XRectangle` structure

Constructors

Rectangle |

Fields

rect_x :: !Position
rect_y :: !Position
rect_width :: !Dimension
rect_height :: !Dimension

Instances

Eq Rectangle Source |
Data Rectangle Source |
Read Rectangle Source |
Show Rectangle Source |
Storable Rectangle Source |

data Arc Source

counterpart of an X11 `XArc` structure

Constructors

Arc |

Fields

arc_x :: Position
arc_y :: Position
arc_width :: Dimension
arc_height :: Dimension
arc_angle1 :: Angle
arc_angle2 :: Angle

Instances

Eq Arc Source |
Show Arc Source |
Storable Arc Source |

data Segment Source

counterpart of an X11 `XSegment` structure

Constructors

Segment |

Fields

seg_x1 :: Position
seg_y1 :: Position
seg_x2 :: Position
seg_y2 :: Position

Instances

Eq Segment Source |
Data Segment Source |
Show Segment Source |
Storable Segment Source |

data Color Source

counterpart of an X11 `XColor` structure

Constructors

Color |

Fields

color_pixel :: Pixel
color_red :: Word16
color_green :: Word16
color_blue :: Word16
color_flags :: Word8

Instances

Eq Color Source |
Data Color Source |
Show Color Source |
Storable Color Source |

type Pixel = Word64 Source

type Position = Int32 Source

type Dimension = Word32 Source

type Angle = CInt Source

type ScreenNumber = Word32 Source

type Buffer = CInt Source